#if !defined(__FONT_H)
#define __FONT_H

class Font
{
public:

	Font();
	virtual ~Font();

	void configure(const string &prefix);
	void apply(HDC hDC, int x, int y, int width, int height, const string &text, unsigned int flags, int vertAlign);

private:

	HFONT hFont;

	string name;
	int height;
	int color;

	bool bold;
	bool italic;
	bool underline;

	bool shadow;
	int shadowX;
	int shadowY; 
	int shadowColor;

	void createHandle();
};

#endif
